<!-- Hereda de el template main -->
{% extends 'main.html'%}  {# Herencia #}

<!--Hereda el bloque de cabecera manteniendo su contenido con la función super() y agregando el link a la hoja de estilo al final del mismo -->
{% block head %}
    {{ super() }} {# Heredar el contenido del bloque bloque #}
    <link rel="stylesheet" href="{{url_for('static', filename='css/style.css')}}"> {# Nuevo contenido del bloque #}
{% endblock %}



<!-- Comienza el bloque de contenido y define su contenido -->
{% block content %}

		<div class="row">
				<div class="col-md-12 ">
					<h4>Professor List</h4>
				</div>
		  </div>
		 	<div class="row">
				<!--Columna -->
				<div class="col-md-12 ">
          <table class="table table-bordered table-dark table-striped">
						<tr>
							<th>#</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Email</th>
              <th></th>
						</tr>
						<tr>
							<td>1</td>
              <td>Pedro</td>
              <td>Sosa</td>
              <td>p.sosa@escuela.com</td>
              <td>
								<!-- Generar url para una ruta -->
                <a type="button" href="{{url_for('professor.view',id=1)}}" class="btn btn-success">View</a>
              </td>
						</tr>
						<tr>
							<td>2</td>
              <td>María</td>
              <td>Moreno2</td>
              <td>m.moreno@escuela.com</td>
              <td>
                <a type="button" href="{{url_for('professor.view',id=2)}}" class="btn btn-success">View</a>
              </td>
						</tr>
						<tr>
							<td>3</td>
              <td>Julieta</td>
              <td>Gonzales</td>
              <td>j.gonzales@escuela.com</td>
              <td>
                <a type="button" href="{{url_for('professor.view',id=3)}}" class="btn btn-success">View</a>
              </td>
						</tr>
					</table>
				</div>
		</div><!--Fin de la fila -->
  </div>
{% endblock %}
